Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159552 - Attachments don't work as desired & browser navigation
Summary: Attachments don't work as desired & browser navigation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-04 00:13 UTC by Dave Malcolm
Modified: 2013-04-02 04:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-11 14:20:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 98707 None None None Never

Description Dave Malcolm 2005-06-04 00:13:58 UTC
If I double-click on a bug in the Bugzilla view in Eclipse, I get a browser view
in a tab.  

If I do this for a bug with attachments (or other data) there are links to the
attachments in the browser view.  Right-clicking on these links seems to do
nothing.  If I left-click, the attachment opens.  There seems to be no way to
get back to the bug if I do this.

Several enhancements would be nice here:
- navigational controls so I can go back
- ability to open attachments in tabbed view in Eclipse
- It would be great to have a right-click option when clicking on a patch
attached to a bug to be able to apply that patch directly to the current project
(assuming Eclipse can guess how this works)
- comments show up as tree nodes below the bug in the tree view; could
attachments show up there as well please? (then one could add the verbs
requested above there as well)

This was with GNOME bugzilla, and these packages:
eclipse-cdt-3.0.0_fc-0.M6.7
eclipse-platform-3.1.0_fc-0.M7.7
eclipse-bugzilla-0.1.0_fc-16
eclipse-ecj-3.1.0_fc-0.M7.7
eclipse-jdt-3.1.0_fc-0.M7.7
eclipse-changelog-2.0.1_fc-21

Comment 1 Dave Malcolm 2005-06-04 00:16:27 UTC
If I click on the attachment, it opens, but Eclipse doesn't let me save from
that window, so I have to open the bug in a web browser separately, alas, which
makes the eclipse buzilla much less useful.

Comment 2 Dave Malcolm 2005-06-04 00:21:27 UTC
I had to save the patch from a web browser somewhere temporary and tried
Eclipse's "Apply Patch..."functionality, and it's _awesome_!  So this is close
to being a great feature... "just" need to locate the attachments, figure out
which are patches, and wire them up to the Apply Patch... thing

Comment 3 Jeff Pound 2005-06-06 14:36:10 UTC
I've actually been looking into "Appy Patch" funcionality over the past few
days. There is no public API for it so I'm stuck either using internal API or
re-producing the same functionality in the bugzilla plug-in. Either way it's
worth the end result.


Comment 4 Jeff Pound 2005-06-06 14:37:56 UTC
Patches should already show up as tree nodes. If you select the patch in the
tree it should display the text in the quick view. There are some issues with
attatchments and 2.16.* bugzilla db's. Everything should work for 2.18.*
versions though. (GNOME is 2.16.8)

Comment 5 Jeff Pound 2005-06-09 15:41:42 UTC
Ive implemented public API for applying a patch in org.eclipse.compare (see
external bugzilla reference). It should be included in eclipse 3.2. Im going to
start implementing the auto apply patch functionality using the new API, though
users will need the modified org.eclipse.compare.

Also, you can apply patches stored in the clipboard. So, as short term solution
you can view the patch in the bugzilla quickview, copy the text, launch the
apply patch wizard from the Team menu, and choose clipboard as the patch source.

Comment 6 Andrew Overholt 2005-06-09 15:46:12 UTC
We can always carry the patch in our eclipse packages if necessary.

Comment 7 Jeff Pound 2005-07-06 16:54:00 UTC
eclipse-bugzilla-0.1.1_fc-1 now includes a "Apply as Patch..." option for
attachments.

TODO:
- Handle other types of attachments (view image, etc..)
- Only offer apply patch for MIME type "text/*"
- Browser navigation controls
- attchment views (originally suggested as tabbed in comment 0)
  perhaps some type of attachment summary view for any given tree node. This way
you could view all attachments for all nodes below the selected node. (all
attachments associated with a bug, a query, a folder, or a provider)

Comment 8 Red Hat Bugzilla 2007-09-11 04:04:55 UTC
User klee@redhat.com's account has been closed

Comment 9 Andrew Overholt 2007-09-11 14:20:42 UTC
We are now shipping Mylyn which obsoletes the old bugzilla plugin.


Note You need to log in before you can comment on or make changes to this bug.